Debian Bug report logs - #568476
Please update to >= 0.85 which no longer relies on HAL

version graph

Package: update-notifier; Maintainer for update-notifier is Julian Andres Klode <jak@debian.org>; Source for update-notifier is src:gnome-packagekit.

Reported by: Michael Biebl <biebl@debian.org>

Date: Fri, 5 Feb 2010 01:36:01 UTC

Severity: normal

Found in version update-notifier/0.70.7.debian-7

Fixed in version update-notifier/0.99.3debian1

Done: Julian Andres Klode <jak@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>:
Bug#568476; Package update-notifier. (Fri, 05 Feb 2010 01:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
New Bug report received and forwarded. Copy sent to Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>. (Fri, 05 Feb 2010 01:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Please update to >= 0.85 which no longer relies on HAL
Date: Fri, 05 Feb 2010 02:31:28 +0100
Package: update-notifier
Version: 0.70.7.debian-7
Severity: normal
User: pkg-utopia-maintainers@lists.alioth.debian.org
Usertags: halectomy

Hi,

please consider updating update-notifier to the latest version from
Ubuntu which no longer relies on HAL. According to the changelog this
port happened in 0.85, the latest Ubuntu version is 0.93 and uses
libgdu/libgudev.

For more information see [1].

Cheers,
Michael

[1] http://wiki.debian.org/HALRemoval



-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.33-rc6 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages update-notifier depends on:
ii  dbus-x11                 1.2.20-2        simple interprocess messaging syst
ii  gksu                     2.0.2-2+b1      graphical frontend to su
ii  hal                      0.5.14-2        Hardware Abstraction Layer
ii  libart-2.0-2             2.3.20-2        Library of functions for 2D graphi
ii  libatk1.0-0              1.28.0-1        The ATK accessibility toolkit
ii  libbonobo2-0             2.24.2-1        Bonobo CORBA interfaces library
ii  libbonoboui2-0           2.24.2-1        The Bonobo UI library
ii  libc6                    2.10.2-5        Embedded GNU C Library: Shared lib
ii  libcairo2                1.8.8-2         The Cairo 2D vector graphics libra
ii  libdbus-1-3              1.2.20-2        simple interprocess messaging syst
ii  libdbus-glib-1-2         0.84-1          simple interprocess messaging syst
ii  libfontconfig1           2.8.0-2         generic font configuration library
ii  libfreetype6             2.3.11-1        FreeType 2 font engine, shared lib
ii  libgconf2-4              2.28.0-1        GNOME configuration database syste
ii  libglade2-0              1:2.6.4-1       library to load .glade files at ru
ii  libglib2.0-0             2.22.4-1        The GLib library of C routines
ii  libgnome2-0              2.28.0-1        The GNOME library - runtime files
ii  libgnomecanvas2-0        2.26.0-1        A powerful object-oriented display
ii  libgnomeui-0             2.24.2-1        The GNOME libraries (User Interfac
ii  libgnomevfs2-0           1:2.24.2-1      GNOME Virtual File System (runtime
ii  libgtk2.0-0              2.18.6-1        The GTK+ graphical user interface 
ii  libhal1                  0.5.14-2        Hardware Abstraction Layer - share
ii  libice6                  2:1.0.6-1       X11 Inter-Client Exchange library
ii  libnotify1 [libnotify1-g 0.4.5-1         sends desktop notifications to a n
ii  liborbit2                1:2.14.17-2     libraries for ORBit2 - a CORBA ORB
ii  libpango1.0-0            1.26.2-1        Layout and rendering of internatio
ii  libpopt0                 1.15-1          lib for parsing cmdline parameters
ii  libsm6                   2:1.1.1-1       X11 Session Management library
ii  libx11-6                 2:1.3.3-1       X11 client-side library
ii  libxau6                  1:1.0.5-1       X11 authorisation library
ii  libxml2                  2.7.6.dfsg-2+b1 GNOME XML library
ii  notification-daemon      0.4.0-2         a daemon that displays passive pop
ii  python                   2.5.4-9         An interactive high-level object-o
ii  python-apt               0.7.93          Python interface to libapt-pkg
ii  update-manager-gnome     0.200.0-1       GNOME application that manages sof
ii  update-notifier-common   0.70.7.debian-7 Files shared between update-notifi

update-notifier recommends no packages.

update-notifier suggests no packages.

-- no debconf information




Reply sent to Julian Andres Klode <jak@debian.org>:
You have taken responsibility. (Fri, 16 Apr 2010 18:21:07 GMT) Full text and rfc822 format available.

Notification sent to Michael Biebl <biebl@debian.org>:
Bug acknowledged by developer. (Fri, 16 Apr 2010 18:21:07 GMT) Full text and rfc822 format available.

Message #10 received at 568476-close@bugs.debian.org (full text, mbox):

From: Julian Andres Klode <jak@debian.org>
To: 568476-close@bugs.debian.org
Subject: Bug#568476: fixed in update-notifier 0.99.3debian1
Date: Fri, 16 Apr 2010 18:17:09 +0000
Source: update-notifier
Source-Version: 0.99.3debian1

We believe that the bug you reported is fixed in the latest version of
update-notifier, which is due to be installed in the Debian FTP archive:

update-notifier-common_0.99.3debian1_all.deb
  to main/u/update-notifier/update-notifier-common_0.99.3debian1_all.deb
update-notifier_0.99.3debian1.dsc
  to main/u/update-notifier/update-notifier_0.99.3debian1.dsc
update-notifier_0.99.3debian1.tar.gz
  to main/u/update-notifier/update-notifier_0.99.3debian1.tar.gz
update-notifier_0.99.3debian1_amd64.deb
  to main/u/update-notifier/update-notifier_0.99.3debian1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 568476@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julian Andres Klode <jak@debian.org> (supplier of updated update-notifier package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Fri, 16 Apr 2010 19:41:27 +0200
Source: update-notifier
Binary: update-notifier update-notifier-common
Architecture: source amd64 all
Version: 0.99.3debian1
Distribution: unstable
Urgency: low
Maintainer: Julian Andres Klode <jak@debian.org>
Changed-By: Julian Andres Klode <jak@debian.org>
Description: 
 update-notifier - Daemon which notifies about package updates
 update-notifier-common - Files shared between update-notifier and adept
Closes: 568476 572351
Changes: 
 update-notifier (0.99.3debian1) unstable; urgency=low
 .
   * Rebase packaging on Ubuntu's one (Closes: #568476); differences:
     - Depend on update-manager-gnome instead of update-manager.
     - Only recommend cpu-checker as it's not in the archive (yet).
   * data/apt_check.py: Upgrade to new python-apt API (Closes: #572351).
   * Disable gudev and gdu stuff on non-Linux architectures.
   * debian/control: Update Standards-Version and have -common depend on python.
   * debian/update-notifier-common.preinst: Add missing #DEBHELPER# line.
Checksums-Sha1: 
 7075b4dd67a87c62d166220f19a8323ad4ba340c 1169 update-notifier_0.99.3debian1.dsc
 468d5e887b932709eb2aedcd696e63545b538e5f 246967 update-notifier_0.99.3debian1.tar.gz
 274c09d521d985dabfd5a408076097ac512a14fb 73326 update-notifier_0.99.3debian1_amd64.deb
 6e5639ee4f39faa4869c919269b0c7b55b03af39 34590 update-notifier-common_0.99.3debian1_all.deb
Checksums-Sha256: 
 2b98e79e5408ca7399d951eb8cbee6e17404bc1dc096400e83db528d3b9bebb2 1169 update-notifier_0.99.3debian1.dsc
 e5a88f6c21695cdc6eebd3afb99c3d616a0b7ca16eca4eee31b75aa941fbd7b7 246967 update-notifier_0.99.3debian1.tar.gz
 112f29257544542c44c434ca386852ab79ef54fd4c8758df7d3ed704b79bc928 73326 update-notifier_0.99.3debian1_amd64.deb
 8db04ad0832fa3a8564841c3f1d145ef0b48757da77bc97e6fbfa2d337cb219f 34590 update-notifier-common_0.99.3debian1_all.deb
Files: 
 d0829af87abd5af2cdfc79d11a89baa0 1169 gnome optional update-notifier_0.99.3debian1.dsc
 ce53b6163d38afd78bea7f826d10d794 246967 gnome optional update-notifier_0.99.3debian1.tar.gz
 b0a36957bf389b0b0e91f2efa2d0258f 73326 gnome optional update-notifier_0.99.3debian1_amd64.deb
 52e9d46aeed9353403481c93863a52e4 34590 gnome optional update-notifier-common_0.99.3debian1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEAREDAAYFAkvIqEUACgkQrCpf/gCCPsLkIACdE6RoGV7e7LuhUqxeoBB388iF
r0oAnR8V7awjkfnBlEsJlylmEdqiV934
=w4iZ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 16 May 2010 07:36:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 03:59:32 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.